<div align="center">
<a href=""><img src="./assets/images/dotfiles-title.png"></a>
</div>

<div align="center">

[<img width="190px" src="./assets/images/dotfiles-about.png">](#about)
[<img width="190px" src="./assets/images/dotfiles-setup.png">](#setup)
[<img width="190px" src="./assets/images/dotfiles-gallery.png">](#gallery)
[<img width="190px" src="./assets/images/dotfiles-credits.png">](#credits)

</div>

## :herb: <samp>[About](#about)</samp>

Hey there! :wave:

This is my personal repository for my Dotfiles.

I've been working on this for a long time so I hope you like it!

This repo is always changing, so I may add new stuff in the future. If you encounter some issues or if you have any ideas to improve the setup, make sure to report them in the issue tracker over here at Github.

---

Here is some _small_ information about my setup:

#### System

- **OS**: Arch Linux (btw)
- **Window Manager**: Hyprland
- **Panel**: Waybar
- **Notification Daemon/Center**: swaync
- **Application Launcher**: Rofi
- **Audio Daemon**: Pipewire
- **Firewall**: ufw
- **AUR Helper**: yay
- **Clipboard Manager**: wl-clipboard (with cliphist)
- **Wallpaper Switcher**: swww
- **Lock Screen**: swaylock-effects
- **Idle Timeout**: swayidle
- **Color Picker**: Hyprpicker
- **Recording Tool**: wf-recorder
- **Screenshot Tool**: Hyprshot
- **Logout Menu**: wleave

#### CLI/TUI

- **Terminal Emulator**: Kitty
- **Shell**: Fish
- **Shell Prompt**: Starship
- **Shell History**: [Atuin](https://github.com/atuinsh/atuin) ([Config](../.config/atuin/))
- **CD Replacement**: zoxide
- **LS Replacement**: eza
- **Cat Replacement**: bat
- **Help Pages**: Navi / TLDR
- **Fuzzy File Finder**: Fzf
- **Fuzzy Word Finder**: Ripgrep
- **Editor**: Neovim
- **File Manager**: Yazi
- **Git UI**: Lazygit
- **Npm Manager UI**: Lazynpm
- **Docker UI**: Lazydocker
- **Audio Visualizer**: Cava
- **System Monitor**: btop
- **GPU Monitor**: nvtop
- **System Fetch**: Neofetch
- **Git Fetch**: Onefetch
- **Keybindings TUI**: Keyb

#### GUI Apps

- **Music Player**: Spotify (patched with Spicetify)
- **Web Browser**: Librewolf / Thorium
- **Messaging App**: Discord (patched with BetterDiscord)
- **Email Client**: Thunderbird
- **PDF Viewer**: Zathura
- **Note Taking**: Obsidian
- **Video Player**: Celluloid (MPV)
- **Image Viewer**: geeqie
- **File Manager**: Nemo
- **Audio Effects**: Easyeffects
- **Image Editor**: Gimp
- **Paint Tool**: Pinta
- **VM Manager**: KVM (QEMU)
- **Recording Program**: OBS
- **Office Apps**: LibreOffice

#### Other

- **Colorscheme**: Catppuccin
- **Font**: Jetbrains Mono Nerd
- **Dotfiles Manager**: yadm
- **Automatic System Deployment**: Ansible

## :wrench: <samp>[Setup](#setup)</samp>

#### :package: <samp>Automatic Installation (Arch Linux)</samp>

> :warning: WARNING: This installation is specifically designed for Arch Linux. If you're running other systems, install the packages with your OS's package manager.

##### WIP

#### :package: <samp>Manual Installation (Universal) </samp>

> :information_source: INFORMATION: This installation assumes you have the **.config dir** in your home dir. Also, note that the names of the packages are from the AUR and Arch Repos. Adapt them to your system.

##### WIP

## :camera: <samp>[Gallery](#gallery)</samp>

![overview-1](./assets/images/screenshots/overview-1.png)
![overview-2](./assets/images/screenshots/overview-2.png)
![overview-3](./assets/images/screenshots/overview-3.png)

## :tada: <samp>[Credits](#credits)</samp>

Big thanks to everyone at r/unixporn for inspiring me to make this!

I wanna point out some resources that helped me the most with the setup:

- [ArchWiki](https://wiki.archlinux.org/) for all the awesome documentation.
- [Folke](https://github.com/folke) for his amazing contributions to the Neovim community with some awesome plugins and with the distro that i use: **LazyVim**. Also, his READMEs and [dotfiles](https://github.com/folke/dot) are amazing!
- [Yoru's README](https://github.com/rxyhn/yoru/tree/main) to help me with the distribution of the README
- [Amadeus Dots](https://github.com/AmadeusWM/dotfiles-hyprland) for helping me with the startup setup of the Hyprland WM.
- [Catppuccin](https://github.com/catppuccin/catppuccin) for making the **Best Colorscheme Ever** :paintbrush::heart:

Those were the biggest inspiring factor for me, though you can find a lot more of setups that helped me in my List of Dotfiles from the **Stars** section of my Github Profile: [Check it out!](https://github.com/stars/Matt-FTW/lists/paintbrush-theming-dots)
